Storyden
Nodes

Node Generate Title

Generate a proposed title for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.

POST
/nodes/{node_slug}/title

Generate a proposed title for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.

Authorization

cookiestoryden-session<token>

Path Parameters

node_slug*string

Unique node Slug.

Formatxid

Request Body

application/json
  1. body

A request for a generated title for a node. A request for a generated title does not use the existing content on a node but takes the current client's content state (from an "edit mode" text box for example) and sends that in order to generate a potential title using an LLM.

content*string

Response Body

Node title generated.

application/json
  1. response

The result of a title generation request from an LLM.

title*string
Example Request
curl -X POST 'https://example.com/api/nodes/string/title' \  -H 'Content-Type: application/json' \  -d '{  "content": "string"}'
Example Response
{  "title": "string"}